PROGRAMFILE
! prgfln ..\simrob\my_proj\wing.prg
! Date 970202 by Stefan Anton
!
Config      2
erc ipo_step 0.15
erc floor off
erc track on
erc robotposition off
erc prg_win off
erc view steps 20
erc view yonder 10
erc view zweight 0.025
erc view screen 2

speed_ptp 90.0
speed_cp 0.1
OV_PRO 100.0
erc load view wing0
! compensate Robot Base transformation
base_prg 0 0 0 90 0 0
! set the base of the part "sk.0"
!base  -0.6000     0.6000     1.1000     30.0000     0.0000     0.0000
erc base body  sk.0

base_rel 0 0 0.01 5 0 0
base_rel 0 -0.1 0 0 0 0

erc load view wing1
call rivet_mv()
call rivet_mv()
erc load view wing4
call rivet_mv()
erc load view wing0
call rivet_mv()

erc load view wing0
wait 2.0

!-------------
! move body part
!-------------
erc move_rel body_grp sk.0   -0.5 0 0  5 5 15
erc base body  sk.0

base_rel 0 0 0.01 0 0 0
base_rel 0 0 0 5 0 0
base_rel 0 -0.1 0 0 0 0

erc load view wing1
call rivet_mv()
call rivet_mv()
erc load view wing4
call rivet_mv()
erc load view wing0
call rivet_mv()

erc load view wing0
wait 2.0

erc move_rel body_grp sk.0   0 0 0  -5 -5 -15
erc move_rel body_grp sk.0   0.5 0 0  0 0 0

ENDPROGRAMFILE

fct rivet_mv()
base_rel 0 0.1 0 -5 0 0
LIN 0.2 0.05 0  0 0 0
call rivet()
LIN_REL  0.3 0   0  0 0 0
call rivet()
LIN_REL  0.3 0   0  0 0 0
call rivet()
LIN_REL  0.3 0   0  0 0 0
call rivet()
!LIN_REL  0.3 0   0  0 0 0
!call rivet()
!
erc load view wing2
base_rel 0 0.1 0 -5 0 0
LIN 1.3 0.05 0  0 0 0
call rivet()
LIN_REL  -0.3 0   0  0 0 0
call rivet()
LIN_REL  -0.3 0   0  0 0 0
erc load view wing3
call rivet()
LIN_REL  -0.3 0   0  0 0 0
call rivet()
!LIN_REL  -0.3 0   0  0 0 0
!call rivet()
erc load view wing1
endfct

fct rivet()
erc move_rel tool t.1b   0 0 -0.04  0 0 0
wait 0.25
erc move_rel tool t.1b   0 0  0.04  0 0 0
endfct
